import oscP5.*;

int NUMLOCATIONS = 24;

Location[] locations;
MouseLocation mouseLocation;
//_____________________________________________________________osc__________.
OscP5 oscP5;
int sendToPort;
String host;
//____________________________________________________________font__________.
PFont font;
int areaWidth = 220;

//________________________________________________________INIT OSC__________.
void initOsc() {
  sendToPort = 9999;
  host = "127.0.0.1";
  oscP5 = new OscP5(this, host, sendToPort);
}

//___________________________________________________________SETUP__________.
void setup(){
  size(900, 600);  
  smooth();
  frameRate(50);
  
  initOsc();
  
  font = loadFont("LucidaGrande-40.vlw");  
 
  mouseLocation = new MouseLocation();
  locations = new Location[NUMLOCATIONS];
  
  for (int i=0; i<NUMLOCATIONS; i++){
    locations[i] = new Location(int(random(width)), int(random(height)), i);
  }
}

//____________________________________________________________DRAW__________.
void draw(){
  background(0);

  for(int i=0; i<NUMLOCATIONS; i++){
    locations[i].draw();
  }
  mouseLocation.draw();  
}
